<%@ Page Language="C#" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <script type="text/javascript">
        var isdefaultchecked = 'isdefaultchecked'; // this property gets the default state of the radiobuttons and controls
        function resetAll() {
            var skin = 'Default'; // set skin name
            var checkedpostfix = 'Checked'; // 
            var uncheckedpostfix = 'Unchecked';


            
            var inputs = document.getElementsByTagName('input'); // all inputs found on the page
            
            for (var i = 0; i < inputs.length; i++) {
                var defaultCheckedState = inputs[i].getAttribute(isdefaultchecked); // get the isdefaultchecked attribute
                var labelid = '_radfd_Skinned' + inputs[i].id; // get the skinned label
                // reset the radiobuttons
                if (inputs[i].getAttribute('type') == 'checkbox' || inputs[i].getAttribute('type') == 'radio') {
                    if (defaultCheckedState == 'true') {
                        document.getElementById(labelid).className = skin + ' radfdCheckbox' + checkedpostfix;
                    }
                    if (defaultCheckedState == 'false') {
                        document.getElementById(labelid).className = skin + ' radfdCheckbox' + uncheckedpostfix;
                    }
                }
                // reset the checkbox
                if (inputs[i].getAttribute('type') == 'radio') {
                    if (defaultCheckedState == 'true') {
                        document.getElementById(labelid).className = skin + ' radfdRadio' + checkedpostfix;
                    }
                    if (defaultCheckedState == 'false') {
                        document.getElementById(labelid).className = skin + ' radfdRadio' + uncheckedpostfix;
                    }
                }
            }
        }
        
        function pageLoad() {
            var root = document.forms[0]; // the form on the page
            var inputs = root.getElementsByTagName('input'); // all inputs found on the page
            for (var i = 0; i < inputs.length; i++) 
            {
                var togglecontrol = inputs[i]; // get the checkbox and radiobutton controls
                if (togglecontrol.getAttribute('type') == 'checkbox' || togglecontrol.getAttribute('type') == 'radio') {
                    togglecontrol.setAttribute(isdefaultchecked, togglecontrol.checked); // set the isdefaultchecked and get the checked value
                }
            }
        }
        </script>
    </head>
    <body>
        <form id="form1" runat="server" onreset="resetAll()">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server" />
        <telerik:RadFormDecorator  ID="FormDecorator1" runat="server" DecoratedControls="all" />
            <asp:RadioButtonList ID="RadioButtonList1" runat="server">
                <asp:ListItem Text="Radio 1" Selected="true"></asp:ListItem>
                <asp:ListItem Text="Radio 2" ></asp:ListItem>
                <asp:ListItem Text="Radio 3" ></asp:ListItem>
                <asp:ListItem Text="Radio 4" ></asp:ListItem>
            </asp:RadioButtonList>
            
            <asp:CheckBoxList ID="CheckBoxList1" runat="server">
                <asp:ListItem Text="Checkbox 1" Selected="true" ></asp:ListItem>
                <asp:ListItem Text="Checkbox 2" Selected="true"></asp:ListItem>
                <asp:ListItem Text="Checkbox 3" Selected="true"></asp:ListItem>
                <asp:ListItem Text="Checkbox 4" ></asp:ListItem>
            </asp:CheckBoxList>
            
            <input type="reset" value="reset form" />
            <textarea id="CheckedCheckBoxes"></textarea>
        </form>
    </body>
</html>
